[Numpy-discussion] numpy 1.3.0 eggs with python2.6 seem broken on osx, and linux

David Cournapeau cournape@gmail....
Sat Nov 28 07:56:30 CST 2009


On Sat, Nov 28, 2009 at 10:42 PM, René Dudfield <renesd@gmail.com> wrote:

>
> yeah, I completely understand the unfortunate packaging situation (eg, some
> of my packages do not work with this install method).
>
> Here is a simple package requiring numpy.  It uses buildout
> (http://www.buildout.org/).  To help easily reproduce the problem, here are
> the commands to reproduce.

I have not tried it, but from your explanation, I would suspect that
buildout does some monkeypatching which is not exactly the same as
setuptools itself, and that would break numpy.distutils.

The distutils architecture unfortunately requires to take into account
and special case any distutils extensions, because of the "extension
as command inheritance" approach. I know I prefer spending my time on
new packaging solution, but I would take patches.

David


More information about the NumPy-Discussion mailing list